<template>
  <v-row justify="center" align="center">
    <v-col cols="12" sm="8" md="6">
      <v-card>
        <div class="pa-2">
          <v-btn small icon @click="$router.go('-1')"><v-icon size="18">mdi-chevron-left</v-icon></v-btn>
          <v-btn small icon @click="getData"><v-icon size="18">mdi-refresh</v-icon></v-btn>
          <h3>{{ post.title }}</h3>
        </div>
        <v-card-text>
          {{ post.description }}
        </v-card-text>
        <v-card-actions>
          <v-chip label block color="info">{{ post.status ? `Статус: ${post.status.name}` : 'Без статуса' }}</v-chip>
        </v-card-actions>
      </v-card>
    </v-col>
  </v-row>
</template>

<script>
import axios from 'axios'

export default {
  async asyncData({ params }) {
    let data = await axios.get('https://api.grtsk-cmp.studio-luck.ru/api/common/tasks/' + params.post, {
        headers: {
          "Content-Type": "application/json",
          "Accept": "application/json",
          "Authorization": "Bearer skGNiohg3Ohbnlmwdtw73IbkOIf4zUA7HKazKRJ4qWnSNb0dT2PqTrnHxAgS",
        }
      })

    return {
      post: data.data
    }
  },
  data() {
    return {
      post: {}
    }
  },
  methods: {
    getData() {
      axios.get('https://api.grtsk-cmp.studio-luck.ru/api/common/tasks' + this.$route.params.post, {
        headers: {
          "Content-Type": "application/json",
          "Accept": "application/json",
          "Authorization": "Bearer skGNiohg3Ohbnlmwdtw73IbkOIf4zUA7HKazKRJ4qWnSNb0dT2PqTrnHxAgS",
        }
      }).then(response => {
        this.post = response.data
      }, error => {
        this.error = error
      })
    }
  }
}
</script>
